#!/bin/sh
echo 'name: mueval
version: 0.8.2
id: mueval-0.8.2-f980e7eba0ba1e0a99689c5fbc89cdc2

license: BSD3
copyright:
maintainer: Gwern <gwern0@gmail.com>
stability:
homepage: http://code.haskell.org/mubot/
package-url:
synopsis: Safely evaluate Haskell expressions
description: Mueval is a Haskell interpreter. It
             uses the GHC API to evaluate arbitrary Haskell expressions.
             Importantly, mueval takes many precautions to defang and avoid \"evil\"
             code.  It uses resource limits, whitelisted modules,
             special Show instances for IO, threads, processes, changes of directory, and so
             on to sandbox the Haskell code.
             .
             It is, in short, intended to be a standalone version of Lambdabot'\''s famous
             evaluation functionality. For examples and explanations, please see the README file.
             .
             Mueval is POSIX-only.
category: Development, Language
author: Gwern
exposed: True
exposed-modules: Mueval.Parallel Mueval.Context Mueval.Interpreter
                 Mueval.ArgsParse Mueval.Resources
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/mueval-0.8.2
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/mueval-0.8.2
              /usr/local/lib
hs-libraries: HSmueval-0.8.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: Cabal-1.14.0-ff3a96ac840681a42a3f6519c92d03a3
         base-4.5.0.0-3459bca6d8e46666b517e8bb2e033728
         containers-0.4.2.1-cfc6420ecc2194c9ed977b06bdfd9e69
         directory-1.1.0.2-265c831825d90ce2ca097745b0e621c1
         extensible-exceptions-0.1.1.4-d27a1ac47e54880cae007cceceb41580
         filepath-1.3.0.0-973f5e9fbed93e25cbe66dfeb6b99ad9
         hint-0.3.3.4-20db25a2a7c34c3585f6a229965cf2f4
         mtl-2.1.1-801101765c9185fec3b8dbd5355f5550
         process-1.1.0.1-18dadd8ad5fc640f55a7afdc7aace500
         show-0.4.1.2-14b54686d2e4b7e5402f7e17f2b3fa24
         unix-2.5.1.0-a532dbbf21e94309c6605a5babf5c531
         utf8-string-0.3.7-4732446c14bf3cfaefb7f05a0d68dc5e
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/mueval-0.8.2/html/mueval.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/mueval-0.8.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
